READPE(1)

NAME
readpe - displays information about PE files

SYNOPSIS
readpe [OPTIONS]... pefile

DESCRIPTION
readpe can read and display all PE file headers, fields and values. It's part of pev, the PE file analysis toolkit.

pefile is a PE32/PE32+ executable or dynamic linked library file.

OPTIONS

-A, --all
    full output (default).

-H, --all-headers
    display all PE headers.

-S, --all-sections
    display all PE sections headers.

-f, --format <text|csv|xml|html>
    change output format (default is text).

-d, --dirs
    display data directories.

-h, --header <dos|coff|optional>
    display sepecific header.

-i, --imports
    display imported functions names.

-e, --exports
    display exported functions names.

-V, --version
    show program version and exit.

--help
    show help.

EXAMPLES
Display the Optional file header of putty.exe:

    $ readpe -h optional putty.exe

Display data directories and exported functions of cards.dll:

    $ readpe -de cards.dll

Display all possible information about svchost.exe file:

    $ readpe svchost.exe

REPORTING BUGS
Please, check the latest development code and report at https://github.com/merces/pev/issues

COPYRIGHT
Copyright © 2017 pev authors. License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/gpl-2.0.txt>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.